# loki-stack

![Version: 1.0.7](https://img.shields.io/badge/Version-1.0.7-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

Loki Chart Stack to install loki along with some dependencies.

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| https://grafana.github.io/helm-charts | loki-distributed | 0.72.0 |
| oci://registry-1.docker.io/bitnamicharts | common | ~2 |
| oci://registry.ops.gitlab.net/gitlab-com/gl-infra/charts | vault-secrets | ~1 |

## Values

<table>
	<thead>
		<th>Key</th>
		<th>Type</th>
		<th>Default</th>
		<th>Description</th>
	</thead>
	<tbody>
		<tr>
			<td id="commonAnnotations"><a href="./values.yaml#L4">commonAnnotations</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>commonAnnotations to apply to all resources</td>
		</tr>
		<tr>
			<td id="commonLabels"><a href="./values.yaml#L2">commonLabels</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td>commonLabels to apply to all resources</td>
		</tr>
		<tr>
			<td id="loki-distributed"><a href="./values.yaml#L17">loki-distributed</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{"enabled":false}`
</pre>
</div>
			</td>
			<td>Loki itself See: https://github.com/grafana/helm-charts/tree/main/charts/loki-distributed</td>
		</tr>
		<tr>
			<td id="lokimapper"><a href="./values.yaml#L23">lokimapper</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{"enabled":false,"image":"ops.registry.gitlab.com/gitlab-com/gl-infra/sre-observability/lokimapper:latest","schedule":"*/2 * * * *","secrets":{"grafana":{"apikey":{"key":"apikey","name":"lokimapper"},"dspassword":{"key":"dspassword","name":"lokimapper"},"dsuser":{"key":"dsuser","name":"lokimapper"}}}}`
</pre>
</div>
			</td>
			<td>Simple cronjob to update tenants in grafana See: https://gitlab.com/gitlab-com/gl-infra/sre-observability/lokimapper By default we run every 2 minutes or so.</td>
		</tr>
		<tr>
			<td id="tenantConfigs"><a href="./values.yaml#L8">tenantConfigs</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{}`
</pre>
</div>
			</td>
			<td></td>
		</tr>
		<tr>
			<td id="vault-secrets"><a href="./values.yaml#L12">vault-secrets</a></td>
			<td>
object
</td>
			<td>
				<div>
<pre lang="">
`{"enabled":false}`
</pre>
</div>
			</td>
			<td>external secrets dependency See: https://gitlab.com/gitlab-com/gl-infra/charts/-/tree/main/gitlab/vault-secrets</td>
		</tr>
	</tbody>
</table>

----------------------------------------------
This README is autogenerated via [helm-docs](https://github.com/norwoodj/helm-docs) in CI. Do not update manually!!